SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
wifi_wps_config.h File Reference

This file provides user interfaces for WPS functionality. More...

## Functions
int | wps_start (u16 wps_config, char *pin, u8 channel, char *ssid)
| Start WPS enrollee process. More...
void | cmd_wps (int argc, char **argv)
| Command to start WPS enrollee process for commonly use. Can refer to ATWW in atcmd_wifi.c. More...
void | wifi_start_ap_wps_thread (u16 config_methods, char *pin)
| Start a WPS registrar thread. More...
void | cmd_ap_wps (int argc, char **argv)
| Command to start WPS registrar process for commonly use. Can refer to ATWw in atcmd_wifi.c. More...

## Detailed Description

This file provides user interfaces for WPS functionality.

Author

Version

Attention

This module is a confidential and proprietary property of RealTek and possession or use of this module requires written permission of RealTek.

Copyright(c) 2016, Realtek Semiconductor Corporation. All rights reserved.